io.undertow.server.handlers

## Class PathSeparatorHandler

- java.lang.Object
- - io.undertow.server.handlers.PathSeparatorHandler

All Implemented Interfaces:
  HttpHandler

    public class PathSeparatorHandler
    extends Object
    implements HttpHandler

A handler that translates non slash separator characters in the URL into a slash. In general this will translate backslash into slash on windows systems.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `PathSeparatorHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`PathSeparatorHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PathSeparatorHandler

    public PathSeparatorHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`